summaryrefslogtreecommitdiff
path: root/tests/rm/deep-1
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2007-09-12 14:52:26 +0200
committerJim Meyering <jim@meyering.net>2007-09-15 08:40:39 +0200
commita669dfdabb3fa1be2e1367d53a797d495e7bd5c9 (patch)
treec88d6414649f7f4f5571138e193c72da44a03876 /tests/rm/deep-1
parent0539705768992ebcc290bc859f64e27898c7f958 (diff)
downloadcoreutils-a669dfdabb3fa1be2e1367d53a797d495e7bd5c9.tar.xz
More misc, test-related changes. (some to allow running tests as root)
Diffstat (limited to 'tests/rm/deep-1')
-rwxr-xr-xtests/rm/deep-119
1 files changed, 8 insertions, 11 deletions
diff --git a/tests/rm/deep-1 b/tests/rm/deep-1
index c9c60eb22..a0f72e82c 100755
--- a/tests/rm/deep-1
+++ b/tests/rm/deep-1
@@ -1,8 +1,7 @@
#!/bin/sh
# Test "rm" with a deep hierarchy.
-# Copyright (C) 1997, 2002, 2003, 2004, 2006 Free Software Foundation,
-# Inc.
+# Copyright (C) 1997, 2002-2004, 2006-2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -29,10 +28,7 @@ if test "$VERBOSE" = yes; then
rm --version
fi
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp;tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit' 1 2 13 15
+. $srcdir/../test-lib.sh
umask 022
@@ -46,16 +42,17 @@ k200=$k20$k20$k20$k20$k20$k20$k20$k20$k20$k20
# operates on the full pathname (like `test') would choke.
k_deep=$k200$k200
-# Create a directory in $tmp with lots of `k' components.
-deep=$tmp$k_deep
+t=t
+# Create a directory in $t with lots of `k' components.
+deep=$t$k_deep
mkdir -p $deep || fail=1
# Make sure the deep dir was created.
test -d $deep || fail=1
-rm -r $tmp || fail=1
+rm -r $t || fail=1
-# Make sure all of $tmp was deleted.
-test -d $tmp && fail=1
+# Make sure all of $t was deleted.
+test -d $t && fail=1
(exit $fail); exit $fail